Skip to content

Send a turn to the shared project assistant chat

POST
/projects/{id}/assistant/chat
curl --request POST \
--url https://example.com/api/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/assistant/chat \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "purpose": "roadmap_requirements", "messages": [ { "role": "user", "content": "example" } ], "context": { "source_text": "example", "source_label": "example" } }'

Project-scoped assistant transport. The purpose discriminator selects the surface-specific prompt and context. Currently enabled for roadmap requirements discussion before codebase analysis.

id
required
string format: uuid

Project UUID

Media type application/json
One of: discriminator: purpose
object
purpose
required
string
Allowed values: roadmap_requirements
messages
required
Array<object>
<= 40 items
object
role
required
string
Allowed values: user assistant
content
required
string
>= 1 characters <= 8000 characters
context
required
object
source_text
required
string
<= 20000 characters
source_label
string
<= 200 characters

Assistant reply

Media type application/json
object
message
required
string

Invalid request

Media type application/json
object
error
required

Human-readable error message

string
code

Stable machine-readable error code for client branching

string
fieldErrors

First validation message per field path

object
key
additional properties
string
issues

Structured validation issues (Zod)

Array<object>
object
path
required
string
message
required
string
retryAfter

Seconds until rate limit resets (429 responses)

number

Not authenticated

Media type application/json
object
error
required

Human-readable error message

string
code

Stable machine-readable error code for client branching

string
fieldErrors

First validation message per field path

object
key
additional properties
string
issues

Structured validation issues (Zod)

Array<object>
object
path
required
string
message
required
string
retryAfter

Seconds until rate limit resets (429 responses)

number
reconnect

True if re-linking GitHub may fix the issue

boolean

Forbidden

Media type application/json
object
error
required

Human-readable error message

string
code

Stable machine-readable error code for client branching

string
fieldErrors

First validation message per field path

object
key
additional properties
string
issues

Structured validation issues (Zod)

Array<object>
object
path
required
string
message
required
string
retryAfter

Seconds until rate limit resets (429 responses)

number

Assistant provider unavailable